
REM ============================================
REM == SEAdog/PCPursuit Script File Generator ==     v. 0.02  - 7-18-87
REM ============================================

REM     by Cabell B. Clarke Jr.
REM     Boot Factory OPUS/HST  - 804-262-9289 - (13/19)
REM     Modified for RV mode
REM     by John Kelley MFTBBS MultiLIne 201-494-3649  (107/331) - 11/3/87
REM     changed to reflect New Acces Code Format - 1/8/88


     ON ERROR GOTO TRAP

     PRINT
     PRINT
     PRINT "SEAdog Script Generator for P C Pursuit - v. 0.02"
     PRINT "Original Program "
     PRINT "by Cabell Clarke 13/19 - Public Domain Software"
     PRINT "SEAdog is a trademark of System Enhancement Associates"
     PRINT "Modified for PC Pursuit Racal Vadic Node"
     PRINT "by John Kelley MFTBBS MultiLine 201-494-3649 (107/331)"


     OPEN "i", 2, "config.gs"
     INPUT #2, id$, password$
     CLOSE #2


INIT:


     mask$ = "0000"
     ext$ = ".SCR"
     char1$ = "|"
     char2$ = "~"
     cr$ = CHR$(13)
     lf$ = CHR$(10)
     null$ = ""
     e$ = CHR$(5)
     a$ = CHR$(42)
     
     

main:

     fout$ = null$
     GOSUB NODENET
     GOSUB MAKEFILE
     GOSUB WRITEFILE
     GOTO main



NODENET:

     PRINT
     INPUT "Enter net number: (Ctl-C to end) ", net
     INPUT "Enter node number: ", node
     INPUT "Enter Baud Rate: (3/12/24) ", baudrate$
     disp$ = STR$(net) + "/" + STR$(node)
     net$ = HEX$(net)
     node$ = HEX$(node)
     neta$ = STRING$(4 - LEN(net$), "0") + net$
     nodea$ = STRING$(4 - LEN(node$), "0") + node$
     file$ = neta$ + nodea$ + ext$
     INPUT "Enter access code: (SSCCC) where SS = state, CCC = city ", areacode$
     pcp$ = areacode$ + "/" + baudrate$
     INPUT "Enter 7 digit phone number (no area code): ", fon$
     RETURN

MAKEFILE:
OUT$ = "@"
GOSUB BUILDFILE
OUT$ = char2$ + char2$ + cr$ + lf$
GOSUB BUILDFILE
OUT$ = "D" + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + "TERMINAL=" + char1$ + "D1" + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + "@" + char1$ + "~C D/" + pcp$ + "," + id$ + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + "PASSWORD = " + char1$ + password$ + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + "CONNECTED" + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + char2$ + "ATZ" + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + "OK" + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + e$ + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + "*"
GOSUB BUILDFILE
OUT$ = char1$ + "D" + fon$ + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + "DIALING..." + char1$ + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + "*" + char1$ + "R" + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + "RETRIES" + char1$ + "2" + cr$ + lf$
GOSUB BUILDFILE
OUT$ = char1$ + "ANSWER TONE"
GOSUB BUILDFILE
RETURN


BUILDFILE:

     fout$ = fout$ + OUT$
     RETURN


WRITEFILE:

     PRINT
     PRINT "Generating Script for "; disp$
     OPEN "O", 1, file$
     PRINT #1, fout$
     CLOSE #1
     PRINT file$; " Done!"
     RETURN


TRAP:

     PRINT
     PRINT
     PRINT "   ***** An ERROR has occurred ***** "
     PRINT
     PRINT "Perhaps you have not set up a CONFIG.GS file.  The file"
     PRINT "can be created in this format:"
     PRINT
     PRINT "C>copy con:config.gs"
     PRINT "your_pcp_id_#"
     PRINT "your_pcp_password"
     PRINT "^Z"
     PRINT
     PRINT "Now it should execute with no problems.  Pressing ^C will"
     PRINT "terminate the program."
     PRINT
     PRINT "Any other ERRORS => Who Knows???"
     PRINT
     PRINT "Cabell Clarke - Boot Factory OPUS/HST (13/19) - 804-262-9289"
     PRINT "and"
     PRINT "John Kelley - MicroFone MultiLine 107/331 - 201-494-3649"
     SYSTEM

